# EGLConfig (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EGLConfig

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opengles.EGLConfig

All Implemented Interfaces:
  PointerWrapper

    public final class EGLConfig

extends PointerWrapperAbstract

EGLConfig wrapper class.

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `getAttribute(int attribute)` Returns the value of the specified EGL config attribute.
`int` `getConfigID()` Returns the EGL_CONFIG_ID attribute of this EGLConfig.
`EGLDisplay` `getDisplay()` Returns the EGL display from which this EGL config was retrieved.
`java.lang.String` `toString()`

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, getPointer, hashCode, isValid`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getDisplay

    public EGLDisplay getDisplay()

  Returns the EGL display from which this EGL config was retrieved.

  Returns:
    the EGL display

### getConfigID

    public int getConfigID()

  Returns the EGL_CONFIG_ID attribute of this EGLConfig.

  Returns:
    the EGL_CONFIG_ID

### getAttribute

    public int getAttribute(int attribute)
                     throws LWJGLException

  Returns the value of the specified EGL config attribute.

  Parameters:
    `attribute` - the attribute
  Returns:
    the attribute value
  Throws:
    `LWJGLException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PointerWrapperAbstract`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PointerWrapperAbstract`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.